CPU stress test fails with focal kernel

Bug #1867900 reported by Ike Panhc on 2020-03-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kunpeng920
Undecided
Unassigned
Ubuntu-18.04-hwe
Undecided
Ike Panhc
Ubuntu-20.04
Undecided
Ike Panhc
Upstream-kernel
Undecided
Unassigned
linux (Ubuntu)
Status tracked in Groovy
Focal
Undecided
Ike Panhc
Groovy
Undecided
Unassigned

Bug Description

[Impact]
We have several crypto accelerators for Hisilicon 1620 but unfortunately one of them is not mature and causes stress-ng tests failure. Disabling hisi_sec2 makes kernel to run crypto functions without accelerator.

[Fix]
Disable CONFIG_CRYPTO_DEV_HISI_SEC2 temporarily until we have proper driver.

[Test]
$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
$ echo $?

[Regression Potential]
This driver is only loaded on Hisilicon Hi1620 machines. Low risk for other platform.

==================================
[Bug Description]
CPU stress test fails with focal kernel

[Steps to Reproduce]
1) sudo apt-add-repository -y ppa:firmware-testing-team/ppa-fwts-stable
2) sudo apt-add-repository -y ppa:hardware-certification/public
3) sudo apt install -y canonical-certification-server
4) Install focal kernel debs from https://launchpad.net/ubuntu/+source/linux
5) Run CPU stress test with `sudo certify-advanced`

[Actual Results]
Failed with
stress-ng: fail: [6118] stress-ng-af-alg: bind failed, errno=19 (No such device)

[Expected Results]
Passed

[Reproducibility]
100%

[Additional information]
Same test with bionic-update kernel passed

[Resolution]

Ike Panhc (ikepanhc) wrote :
Changed in kunpeng920:
status: New → In Progress
Jeff Lane (bladernr) on 2020-03-18
tags: added: hwcert-server
tags: added: blocks-hwcert-server
removed: hwcert-server
Ike Panhc (ikepanhc) on 2020-03-20
tags: added: ikeradar
Jeff Lane (bladernr) wrote :

FWIW this is the command string that is run for the CPU stress test:

stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0 --bsearch 0 --context 0 --cpu 0 --crypt 0 --hsearch 0 --longjmp 0 --lsearch 0 --matrix 0 --qsort 0 --str 0 --stream 0 --tsearch 0 --vecmath 0 --wcs 0

You can try to recreate this directly by streamlining that to:
stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0

Ike Panhc (ikepanhc) wrote :

Thanks Jeff. Test passed on 5.3 kernel.

ubuntu@kreiken:~$ uname -a
Linux kreiken 5.3.0-42-generic #34~18.04.1-Ubuntu SMP Fri Feb 28 13:43:38 UTC 2020 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@kreiken:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [14397] dispatching hogs: 128 af-alg
stress-ng: info: [14397] successful run completed in 330.21s (5 mins, 30.21 secs)
stress-ng: info: [14397] stressor bogo ops real time usr time sys time bogo ops/s bogo ops/s
stress-ng: info: [14397] (secs) (secs) (secs) (real time) (usr+sys time)
stress-ng: info: [14397] af-alg 157358382 330.10 391.57 11170.79 476695.01 13609.54
stress-ng: info: [14397] thermal zone temperatures not available
stress-ng: info: [14397] for a 330.21s run time:
stress-ng: info: [14397] 42266.82s available CPU time
stress-ng: info: [14397] 392.20s user time ( 0.93%)
stress-ng: info: [14397] 11171.52s system time ( 26.43%)
stress-ng: info: [14397] 11563.72s total time ( 27.36%)
stress-ng: info: [14397] load average: 131.69 88.42 39.59

Ike Panhc (ikepanhc) wrote :

and very quick to reproduce on 5.4 kernel

ubuntu@kreiken:~$ uname -a
Linux kreiken 5.4.0-18-generic #22-Ubuntu SMP Sat Mar 7 18:09:45 UTC 2020 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@kreiken:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [4144] dispatching hogs: 128 af-alg
stress-ng: fail: [4161] stress-ng-af-alg: bind failed, errno=19 (No such device)

Ike Panhc (ikepanhc) wrote :

focal kernel + focal stress-ng works fine on arm64 and x86. Looks like this is an testcase issue.

ubuntu@awrep3:~$ uname -a
Linux awrep3 5.4.0-18-generic #22-Ubuntu SMP Sat Mar 7 18:09:45 UTC 2020 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@awrep3:~$ sudo dpkg --list | grep stress-ng
ii stress-ng 0.11.03-1 arm64 tool to load and stress a computer
ubuntu@awrep3:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [388076] dispatching hogs: 46 af-alg
stress-ng: info: [388077] stress-ng-af-alg: 64 cryptographic algorithms found in /proc/crypto
stress-ng: info: [388077] stress-ng-af-alg: 104 cryptographic algorithms max (with defconfigs)
stress-ng: info: [388076] successful run completed in 331.82s (5 mins, 31.82 secs)

ubuntu@virt2:~$ uname -a
Linux virt2 5.4.0-18-generic #22-Ubuntu SMP Sat Mar 7 18:13:06 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
ubuntu@virt2:~$ dpkg --list | grep stress-ng
ii stress-ng 0.11.03-1 amd64 tool to load and stress a computer
ubuntu@virt2:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [16165] dispatching hogs: 4 af-alg
stress-ng: info: [16166] stress-ng-af-alg: 19 cryptographic algorithms found in /proc/crypto
stress-ng: info: [16166] stress-ng-af-alg: 101 cryptographic algorithms max (with defconfigs)
stress-ng: info: [16165] successful run completed in 330.07s (5 mins, 30.07 secs)

Ike Panhc (ikepanhc) wrote :

Interested. This issue only can be reproduced on d06.

ubuntu@kreiken:~$ uname -a
Linux kreiken 5.4.0-18-generic #22-Ubuntu SMP Sat Mar 7 18:09:45 UTC 2020 aarch64 aarch64 aarch64 GNU/Linux
ubuntu@kreiken:~$ dpkg --list | grep stress-ng
ii stress-ng 0.11.03-1 arm64 tool to load and stress a computer
ubuntu@kreiken:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [13731] dispatching hogs: 128 af-alg
stress-ng: info: [13732] stress-ng-af-alg: 23 cryptographic algorithms found in /proc/crypto
stress-ng: info: [13732] stress-ng-af-alg: 107 cryptographic algorithms max (with defconfigs)
stress-ng: fail: [13820] stress-ng-af-alg: bind failed, errno=19 (No such device)

Ike Panhc (ikepanhc) wrote :

I will try to find out is this is side effect of bug 1854549

Ike Panhc (ikepanhc) wrote :

I will try to find out if this is side effect of bug 1854549

Some kernel error/warning message when stress-ng

[ 905.136990] Can not find proper Hisilicon SEC device!
[ 905.142114] hisi_sec2 0000:b6:00.0: QM all queues are busy!
[ 910.172470] request_module: modprobe crypto-xchacha20 cannot be processed, kmod busy with 50 threads for more than 5 seconds now

Ike Panhc (ikepanhc) wrote :

Can not reproduce on d05

ubuntu@d05-4:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [13142] dispatching hogs: 64 af-alg
stress-ng: info: [13143] stress-ng-af-alg: 20 cryptographic algorithms found in /proc/crypto
stress-ng: info: [13143] stress-ng-af-alg: 104 cryptographic algorithms max (with defconfigs)
stress-ng: info: [13142] successful run completed in 332.23s (5 mins, 32.23 secs)
stress-ng: info: [13142] stressor bogo ops real time usr time sys time bogo ops/s bogo ops/s
stress-ng: info: [13142] (secs) (secs) (secs) (real time) (usr+sys time)
stress-ng: info: [13142] af-alg 4186696 330.88 28.17 399.70 12653.13 9784.97
stress-ng: info: [13142] thermal zone temperatures not available
stress-ng: info: [13142] for a 332.23s run time:
stress-ng: info: [13142] 21262.79s available CPU time
stress-ng: info: [13142] 28.53s user time ( 0.13%)
stress-ng: info: [13142] 400.06s system time ( 1.88%)
stress-ng: info: [13142] 428.59s total time ( 2.02%)
stress-ng: info: [13142] load average: 69.39 46.60 21.07

Download full text (3.5 KiB)

Ok. You may also now want to retry the entire thing, just in case one of
the other test cases sets up some sort of condition where af-alg fails on
this hardware.

On Tue, Mar 24, 2020 at 00:10 Ike Panhc <email address hidden> wrote:

> Can not reproduce on d05
>
> ubuntu@d05-4:~$ sudo stress-ng --aggressive --verify --timeout 330
> --metrics-brief --tz --times --af-alg 0
> stress-ng: info: [13142] dispatching hogs: 64 af-alg
> stress-ng: info: [13143] stress-ng-af-alg: 20 cryptographic algorithms
> found in /proc/crypto
> stress-ng: info: [13143] stress-ng-af-alg: 104 cryptographic algorithms
> max (with defconfigs)
> stress-ng: info: [13142] successful run completed in 332.23s (5 mins,
> 32.23 secs)
> stress-ng: info: [13142] stressor bogo ops real time usr time sys
> time bogo ops/s bogo ops/s
> stress-ng: info: [13142] (secs) (secs)
> (secs) (real time) (usr+sys time)
> stress-ng: info: [13142] af-alg 4186696 330.88 28.17
> 399.70 12653.13 9784.97
> stress-ng: info: [13142] thermal zone temperatures not available
> stress-ng: info: [13142] for a 332.23s run time:
> stress-ng: info: [13142] 21262.79s available CPU time
> stress-ng: info: [13142] 28.53s user time ( 0.13%)
> stress-ng: info: [13142] 400.06s system time ( 1.88%)
> stress-ng: info: [13142] 428.59s total time ( 2.02%)
> stress-ng: info: [13142] load average: 69.39 46.60 21.07
>
> --
> You received this bug notification because you are a member of The
> Pearl2 Team, which is subscribed to kunpeng920.
> https://bugs.launchpad.net/bugs/1867900
>
> Title:
> CPU stress test fails with focal kernel
>
> Status in kunpeng920:
> In Progress
> Status in kunpeng920 ubuntu-18.04-hwe series:
> In Progress
> Status in kunpeng920 ubuntu-20.04 series:
> In Progress
>
> Bug description:
> [Bug Description]
> CPU stress test fails with focal kernel
>
> [Steps to Reproduce]
> 1) sudo apt-add-repository -y ppa:firmware-testing-team/ppa-fwts-stable
> 2) sudo apt-add-repository -y ppa:hardware-certification/public
> 3) sudo apt install -y canonical-certification-server
> 4) Install focal kernel debs from
> https://launchpad.net/ubuntu/+source/linux
> 5) Run CPU stress test with `sudo certify-advanced`
>
> [Actual Results]
> Failed with
> stress-ng: fail: [6118] stress-ng-af-alg: bind failed, errno=19 (No
> such device)
>
> [Expected Results]
> Passed
>
> [Reproducibility]
> 100%
>
> [Additional information]
> Same test with bionic-update kernel passed
>
> [Resolution]
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kunpeng920/+bug/1867900/+subscriptions
>
> Launchpad-Notification-Type: bug
> Launchpad-Bug: product=kunpeng920; status=In Progress;
> importance=Undecided; assignee=None;
> Launchpad-Bug: product=kunpeng920; productseries=ubuntu-18.04-hwe;
> status=In Progress; importance=Undecided; <email address hidden>;
> Launchpad-Bug: product=kunpeng920; productseries=ubuntu-20.04; status=In
> Progress; importance=Undecided; <email address hidden>;
> Launchpad-Bug-Tags: blocks-hwcert-server ikeradar
> Launch...

Read more...

Ike Panhc (ikepanhc) wrote :

If hisi_sec2 is loaded, stress-ng fails.

ubuntu@kreiken:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [903802] dispatching hogs: 128 af-alg
stress-ng: info: [903803] stress-ng-af-alg: 63 cryptographic algorithms found in /proc/crypto
stress-ng: info: [903803] stress-ng-af-alg: 104 cryptographic algorithms max (with defconfigs)
stress-ng: info: [903802] successful run completed in 332.32s (5 mins, 32.32 secs)
stress-ng: info: [903802] stressor bogo ops real time usr time sys time bogo ops/s bogo ops/s
stress-ng: info: [903802] (secs) (secs) (secs) (real time) (usr+sys time)
stress-ng: info: [903802] af-alg 7461411 330.50 49.94 2058.47 22575.89 3538.88
stress-ng: info: [903802] thermal zone temperatures not available
stress-ng: info: [903802] for a 332.32s run time:
stress-ng: info: [903802] 42536.90s available CPU time
stress-ng: info: [903802] 50.64s user time ( 0.12%)
stress-ng: info: [903802] 2059.17s system time ( 4.84%)
stress-ng: info: [903802] 2109.81s total time ( 4.96%)
stress-ng: info: [903802] load average: 123.09 122.32 85.23
ubuntu@kreiken:~$ lsmod | grep hisi
hisi_hpre 36864 0
hisi_zip 32768 0
hisi_qm 40960 2 hisi_zip,hisi_hpre
hisi_trng_v2 16384 0
hisi_sas_v3_hw 57344 2
hisi_sas_main 77824 1 hisi_sas_v3_hw
libsas 106496 2 hisi_sas_v3_hw,hisi_sas_main
scsi_transport_sas 49152 4 hisi_sas_v3_hw,ses,hisi_sas_main,libsas
ubuntu@kreiken:~$ sudo modprobe hisi_sec2
ubuntu@kreiken:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [1227102] dispatching hogs: 128 af-alg
stress-ng: info: [1227103] stress-ng-af-alg: 67 cryptographic algorithms found in /proc/crypto
stress-ng: info: [1227103] stress-ng-af-alg: 107 cryptographic algorithms max (with defconfigs)
stress-ng: fail: [1227204] stress-ng-af-alg: bind failed, errno=19 (No such device)
stress-ng: fail: [1227194] stress-ng-af-alg: bind failed, errno=19 (No such device)

dann frazier (dannf) wrote :

Note that this will cause Ubuntu 20.04 certification to fail (as the blocks-hwcert-server tag implies).

Jeff Lane (bladernr) wrote :

On Tue, Mar 24, 2020 at 12:30 AM Ike Panhc <email address hidden> wrote:
>
> If hisi_sec2 is loaded, stress-ng fails.

So what is hisi_sec2 for? is this required to enable some hardware bit?

Ike Panhc (ikepanhc) wrote :

It's the driver of hardware accelerator for crypto and I think it might need some attention.

Jeff Lane (bladernr) wrote :

On Fri, Mar 27, 2020 at 1:45 AM Ike Panhc <email address hidden> wrote:
>
> It's the driver of hardware accelerator for crypto and I think it might
> need some attention.

Ahhh, ok, thanks!

Ike Panhc (ikepanhc) wrote :

Hi Xinwei,

Kernel freeze is coming on April 9th.

If there is fix ready for this issue and we can try to merge before kernel freeze, or we can propose the fix through SRU cycle after 20.04 released.

Ike Panhc (ikepanhc) wrote :

Here are quick steps to reproduce.

1) Install ubuntu 18.04
2) sudo apt-add-repository -y ppa:hardware-certification/public
3) sudo apt install -y canonical-certification-server
4) Download and install focal kernel debs and reboot
   - https://launchpad.net/ubuntu/+archive/primary/+files/linux-headers-5.4.0-21-generic_5.4.0-21.25_arm64.deb
   - https://launchpad.net/ubuntu/+archive/primary/+files/linux-headers-5.4.0-21_5.4.0-21.25_all.deb
   - https://launchpad.net/ubuntu/+archive/primary/+files/linux-image-unsigned-5.4.0-21-generic_5.4.0-21.25_arm64.deb
   - https://launchpad.net/ubuntu/+archive/primary/+files/linux-modules-5.4.0-21-generic_5.4.0-21.25_arm64.deb
   - https://launchpad.net/ubuntu/+archive/primary/+files/linux-modules-extra-5.4.0-21-generic_5.4.0-21.25_arm64.deb
5) `sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0`

Andrew Cloke (andrew-cloke) wrote :

Marking as incomplete while waiting for a fix for the hisi_sec2 crypto driver from HiSilicon.

Changed in kunpeng920:
status: In Progress → Incomplete
Ike Panhc (ikepanhc) wrote :

Patch mentioned in bug 1867591 #17 does not fix this issue.

Ike Panhc (ikepanhc) wrote :

Notice when Bionic HWE kernel goes to 5.4, this issue will become regression as cert-blocker. I believe we need to blacklist hisi_sec2 before that and turn it on again when we have workable driver.

Ike Panhc (ikepanhc) wrote :

Patch to disable hisi_sec2 temporarily sent.

https://lists.ubuntu.com/archives/kernel-team/2020-June/110647.html

description: updated
Ike Panhc (ikepanhc) on 2020-06-04
Changed in linux (Ubuntu Focal):
assignee: nobody → Ike Panhc (ikepanhc)
Changed in linux (Ubuntu Groovy):
assignee: nobody → Ike Panhc (ikepanhc)

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1867900

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu Focal):
status: New → Incomplete
tags: added: focal
Ike Panhc (ikepanhc) on 2020-06-04
Changed in linux (Ubuntu Focal):
status: Incomplete → In Progress
Changed in linux (Ubuntu Groovy):
status: Incomplete → In Progress
Ike Panhc (ikepanhc) wrote :

Email exchange with Yekai and I am told hisi_sec2 only support 2 threads in default. We can enable more threads when modprobe. I will try to find out the best way to enable more threads as default.

ubuntu@kreiken:~$ sudo modprobe -r hisi_sec2
ubuntu@kreiken:~$ sudo modprobe hisi_sec2 ctx_q_num=2 pf_q_num=1024
ubuntu@kreiken:~$ sudo stress-ng --aggressive --verify --timeout 330 --metrics-brief --tz --times --af-alg 0
stress-ng: info: [29055] dispatching hogs: 128 af-alg
stress-ng: info: [29055] successful run completed in 330.18s (5 mins, 30.18 secs)
stress-ng: info: [29055] stressor bogo ops real time usr time sys time bogo ops/s bogo ops/s
stress-ng: info: [29055] (secs) (secs) (secs) (real time) (usr+sys time)
stress-ng: info: [29055] af-alg 111959371 330.08 299.71 10668.10 339193.31 10208.00
stress-ng: info: [29055] thermal zone temperatures not available
stress-ng: info: [29055] for a 330.18s run time:
stress-ng: info: [29055] 42263.02s available CPU time
stress-ng: info: [29055] 300.36s user time ( 0.71%)
stress-ng: info: [29055] 10668.78s system time ( 25.24%)
stress-ng: info: [29055] 10969.14s total time ( 25.95%)
stress-ng: info: [29055] load average: 138.79 94.92 43.18

Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Fred Kimmy (kongzizaixian) wrote :

=》Patch to disable hisi_sec2 temporarily sent.

=》https://lists.ubuntu.com/archives/kernel-team/2020-June/110647.html

Can you test this following patch which have sent this lkml to enable sec2 driver for ubuntu verson?

[PATCH] crypto: hisilicon - update SEC driver module parameter
As stress-ng running SEC engine on the Ubuntu OS,
we found that SEC only supports two threads each with one TFM
based on the default module parameter 'ctx_q_num'.
If running more threads, stress-ng will fail since it cannot
get more TFMs.

In order to fix this, we adjusted the default values
of the module parameters to support more TFMs.

Signed-off-by: Longfang Liu <email address hidden>
Signed-off-by: Zaibo Xu <email address hidden>
---
 drivers/crypto/hisilicon/sec2/sec_main.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/drivers/crypto/hisilicon/sec2/sec_main.c b/drivers/crypto/hisilicon/sec2/sec_main.c
index a4cb58b..57de51f 100644
--- a/drivers/crypto/hisilicon/sec2/sec_main.c
+++ b/drivers/crypto/hisilicon/sec2/sec_main.c
@@ -30,9 +30,9 @@

 #define SEC_SQE_SIZE 128
 #define SEC_SQ_SIZE (SEC_SQE_SIZE * QM_Q_DEPTH)
-#define SEC_PF_DEF_Q_NUM 64
+#define SEC_PF_DEF_Q_NUM 256
 #define SEC_PF_DEF_Q_BASE 0
-#define SEC_CTX_Q_NUM_DEF 24
+#define SEC_CTX_Q_NUM_DEF 2
 #define SEC_CTX_Q_NUM_MAX 32

 #define SEC_CTRL_CNT_CLR_CE 0x301120
@@ -191,7 +191,7 @@ static const struct kernel_param_ops sec_ctx_q_num_ops = {
 };
 static u32 ctx_q_num = SEC_CTX_Q_NUM_DEF;
 module_param_cb(ctx_q_num, &sec_ctx_q_num_ops, &ctx_q_num, 0444);
-MODULE_PARM_DESC(ctx_q_num, "Queue num in ctx (24 default, 2, 4, ..., 32)");
+MODULE_PARM_DESC(ctx_q_num, "Queue num in ctx (2 default, 2, 4, ..., 32)");

 static const struct kernel_param_ops vfs_num_ops = {
  .set = vfs_num_set,
--
2.8.1

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Ike Panhc (ikepanhc) wrote :

Running cpu stress test with 5.4.0-38.42 kernel and it passed. Thanks.

tags: added: verification-done-focal
removed: verification-needed-focal
Ike Panhc (ikepanhc) wrote :

I am also testing patch in #24 to see if we shall backport the patch for groovy.

Changed in kunpeng920:
status: Incomplete → Fix Committed
Ike Panhc (ikepanhc) wrote :

Set back to "Triage" as patch mentioned in #24 is on its way to mainline.

Changed in kunpeng920:
status: Fix Committed → Triaged
Andrew Cloke (andrew-cloke) wrote :

Note that the kunpeng920 series reflects SRUing the patches described in comment #24.

All autopkgtests for the newly accepted linux-oracle-5.4 (5.4.0-1019.19~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

zfs-linux/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-oracle-5.4

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Ike Panhc (ikepanhc) wrote :

The issue in #30 looks an infrastructure issue to me.

Err:1 http://ftpmaster.internal/ubuntu bionic-updates/main armhf libseccomp2 armhf 2.4.3-1ubuntu3.18.04.2
  Could not connect to ftpmaster.internal:80 (91.189.89.99), connection timed out

Launchpad Janitor (janitor) wrote :
Download full text (30.0 KiB)

This bug was fixed in the package linux - 5.4.0-40.44

---------------
linux (5.4.0-40.44) focal; urgency=medium

  * linux-oem-5.6-tools-common and -tools-host should be dropped (LP: #1881120)
    - [Packaging] Add Conflicts/Replaces to remove linux-oem-5.6-tools-common and
      -tools-host

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * Slow send speed with Intel I219-V on Ubuntu 18.04.1 (LP: #1802691)
    - e1000e: Disable TSO for buffer overrun workaround

  * CVE-2020-0543
    - UBUNTU/SAUCE: x86/speculation/srbds: do not try to turn mitigation off when
      not supported

  * Realtek 8723DE [10ec:d723] subsystem [10ec:d738] disconnects unsolicitedly
    when Bluetooth is paired: Reason: 23=IEEE8021X_FAILED (LP: #1878147)
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: Move driver IQK to set channel before
      association for 11N chip"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: fix rate for a while after being
      connected"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: No retry and report for auth and assoc"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: 8723d: Add coex support"
    - rtw88: add a debugfs entry to dump coex's info
    - rtw88: add a debugfs entry to enable/disable coex mechanism
    - rtw88: 8723d: Add coex support
    - SAUCE: rtw88: coex: 8723d: set antanna control owner
    - SAUCE: rtw88: coex: 8723d: handle BT inquiry cases
    - SAUCE: rtw88: fix EAPOL 4-way failure by finish IQK earlier

  * CPU stress test fails with focal kernel (LP: #1867900)
    - [Config] Disable hisi_sec2 temporarily

  * Enforce all config annotations (LP: #1879327)
    - [Config]: do not enforce CONFIG_VERSION_SIGNATURE
    - [Config]: prepare to enforce all
    - [Config]: enforce all config options

  * Focal update: v5.4.44 upstream stable release (LP: #1881927)
    - ax25: fix setsockopt(SO_BINDTODEVICE)
    - dpaa_eth: fix usage as DSA master, try 3
    - net: don't return invalid table id error when we fall back to PF_UNSPEC
    - net: dsa: mt7530: fix roaming from DSA user ports
    - net: ethernet: ti: cpsw: fix ASSERT_RTNL() warning during suspend
    - __netif_receive_skb_core: pass skb by reference
    - net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
    - net: ipip: fix wrong address family in init error path
    - net/mlx5: Add command entry handling completion
    - net: mvpp2: fix RX hashing for non-10G ports
    - net: nlmsg_cancel() if put fails for nhmsg
    - net: qrtr: Fix passing invalid reference to qrtr_local_enqueue()
    - net: revert "net: get rid of an signed integer overflow in
      ip_idents_reserve()"
    - net sched: fix reporting the first-time use timestamp
    - net/tls: fix race condition causing kernel panic
    - nexthop: Fix attribute checking for groups
    - r8152: support additional Microsoft Surface Ethernet Adapter variant
    - sctp: Don't add the shutdown timer if its already been added
    - sctp: Start shutdown on association restart if in SHUTDOWN-SENT state and
      socket is closed
    - tipc: block BH before using dst_cache
    - net/mlx5e: kTLS, Destroy key object after destroying the TIS
    - net/mlx5e: Fix inner tirs handling
    - net/m...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Changed in kunpeng920:
status: Triaged → In Progress
Ike Panhc (ikepanhc) on 2020-07-10
Changed in linux (Ubuntu Focal):
status: Fix Released → In Progress
Ike Panhc (ikepanhc) wrote :

With patch in #24. cpu stress-ng test passed with hisi_sec2 loaded.

debs and patches are available at

  https://kernel.ubuntu.com/~ikepanhc/lp1867900/

I am going to propose patches for focal, groovy and unstable.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 5.4.0-42.46

---------------
linux (5.4.0-42.46) focal; urgency=medium

  * focal/linux: 5.4.0-42.46 -proposed tracker (LP: #1887069)

  * linux 4.15.0-109-generic network DoS regression vs -108 (LP: #1886668)
    - SAUCE: Revert "netprio_cgroup: Fix unlimited memory leak of v2 cgroups"

linux (5.4.0-41.45) focal; urgency=medium

  * focal/linux: 5.4.0-41.45 -proposed tracker (LP: #1885855)

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * CVE-2019-19642
    - kernel/relay.c: handle alloc_percpu returning NULL in relay_open

  * CVE-2019-16089
    - SAUCE: nbd_genl_status: null check for nla_nest_start

  * CVE-2020-11935
    - aufs: do not call i_readcount_inc()

  * ip_defrag.sh in net from ubuntu_kernel_selftests failed with 5.0 / 5.3 / 5.4
    kernel (LP: #1826848)
    - selftests: net: ip_defrag: ignore EPERM

  * Update lockdown patches (LP: #1884159)
    - SAUCE: acpi: disallow loading configfs acpi tables when locked down

  * seccomp_bpf fails on powerpc (LP: #1885757)
    - SAUCE: selftests/seccomp: fix ptrace tests on powerpc

  * Introduce the new NVIDIA 418-server and 440-server series, and update the
    current NVIDIA drivers (LP: #1881137)
    - [packaging] add signed modules for the 418-server and the 440-server
      flavours

 -- Khalid Elmously <email address hidden> Thu, 09 Jul 2020 19:50:26 -0400

Changed in linux (Ubuntu Groovy):
status: In Progress → Fix Released
Ike Panhc (ikepanhc) wrote :

Bot accidentally set groovy for fix released but this patch only released by focal kernel. Reset status accordingly.

Also set groovy status to invalid and create new bug (bug 1890222) to track for proper fix.

Changed in linux (Ubuntu Focal):
status: In Progress → Fix Released
Changed in linux (Ubuntu Groovy):
status: Fix Released → Invalid
Changed in kunpeng920:
status: In Progress → Fix Committed
Ike Panhc (ikepanhc) on 2020-08-04
Changed in kunpeng920:
status: Fix Committed → Fix Released
Ike Panhc (ikepanhc) on 2020-08-04
Changed in linux (Ubuntu Groovy):
assignee: Ike Panhc (ikepanhc) → nobody
Ike Panhc (ikepanhc) wrote :

proper fix hits mainline kernel

$ git show 57b1aac1b426b7255afa195298ed691ffea204c6
commit 57b1aac1b426b7255afa195298ed691ffea204c6
Author: Longfang Liu <email address hidden>
Date: Mon Jun 8 22:01:11 2020 +0800

    crypto: hisilicon - update SEC driver module parameter

    As stress-ng running SEC engine on the Ubuntu OS,
    we found that SEC only supports two threads each with one TFM
    based on the default module parameter 'ctx_q_num'.
    If running more threads, stress-ng will fail since it cannot
    get more TFMs.

    In order to fix this, we adjusted the default values
    of the module parameters to support more TFMs.

    Signed-off-by: Longfang Liu <email address hidden>
    Signed-off-by: Zaibo Xu <email address hidden>
    Signed-off-by: Herbert Xu <email address hidden>

Ike Panhc (ikepanhc) on 2020-08-05
tags: removed: ikeradar
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers